import java.util.LinkedList;
import java.util.List;


public class Actor {

	private String name;
	private String born;
	private List<String> movies;
	
	public Actor(String name){
		movies = new LinkedList<String>();
		this.name = name;
	}
	
	@Override
	public boolean equals(Object obj) {
		if(!(obj instanceof Actor))
			return false;
		Actor other = (Actor)obj;
		return name.equals(other.getName());
	}
	
	@Override
	public int hashCode() {
		return name.hashCode();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBorn() {
		if(born != null)
			return born;
		else
			return "UNKOWN";
	}

	public void setBorn(String born) {
		this.born = born;
	}

	public List<String> getMovies() {
		return movies;
	}
	
	public void addMovie(String movie) {
		movies.add(movie);
	}
}
