import org.apache.hadoop.io.Text;



public class OffsetTextPair implements Comparable {
	private final String text;
	private final long offset;
	
	OffsetTextPair(Text text) {
		String str = text.toString();
		int idxOfComma = str.indexOf(",");
		if(idxOfComma + 1 < str.length()) {
			this.text = str.substring(idxOfComma + 1);
		} else {
			this.text = "";
		}
		this.offset = Long.valueOf(str.substring(0, idxOfComma - 1));
	}

	public String getText() {
		return text;
	}

	public long getOffset() {
		return offset;
	}

	@Override
	public int compareTo(Object o) {
		OffsetTextPair other = (OffsetTextPair)o;
		if(offset < other.getOffset()) {
			return -1;
		}
		if(offset > other.getOffset()) {
			return 1;
		}
		return text.compareTo(other.getText());
	}
	
	@Override
	public String toString() {
		return "<<<" + getText() + ", " + getOffset() + ">>>";
	}
}
